DATE(1)

NAME
date - display or set date and time

SYNOPSIS
date [-d dst] [-r seconds] [-t minutes_west] [-nu] [+format] [[yy[mm[dd[hh]]]]mm[.ss]]

DESCRIPTION
Date displays the current date and time when invoked without arguments. Providing arguments will format the date and time in a user-defined way or set the date. Only the superuser may set the date.

The options are as follows:

-d  Set the kernel's value for daylight savings time. If dst is non-zero, future calls to gettimeofday(2) will return a non-zero ‘tz_dsttime’.

-n  The utility timed(8) is used to synchronize the clocks on groups of machines. By default, if timed is running, date will set the time on all of the machines in the local group. The -n option stops date from setting the time for other than the current machine.

-r  Print out the date and time in seconds from the Epoch.

-t  Set the kernel's value for minutes west of GMT. Minutes_west specifies the number of minutes returned in ‘tz_minuteswest’ by future calls to gettimeofday(2).

-u  Display or set the date in UCT (universal) time.

An operand with a leading plus (``+'') sign signals a user-defined format string which specifies the format in which to display the date and time. The format string may contain any of the conversion specifications described in the strftime(3) manual page, as well as any arbitrary text. The format string for the default display is:

    ``%+''.

If an operand does not have a leading plus sign, it is interpreted as a value for setting the system's notion of the current date and time. The canonical representation for setting the date and time is:

yy  Year in abbreviated form (.e.g 89 for 1989).
mm  Numeric month. A number from 1 to 12.
dd  Day, a number from 1 to 31.
hh  Hour, a number from 0 to 23.
mm  Minutes, a number from 0 to 59.
.ss Seconds, a number from 0 to 61 (59 plus a maximum of two leap seconds).

Everything but the minutes is optional.

Time changes for Daylight Saving and Standard time and leap seconds and years are handled automatically.

EXAMPLES
The command:

    date ``+DATE: %m/%d/%y%nTIME: %H:%M:%S%n''

will display:

    DATE: 11/21/87
    TIME: 13:36:16

The command:

    date 8506131627

sets the date to “June 13, 1985, 4:27 PM”.

The command:

    date 1432

sets the time to 2:32 PM, without modifying the date.

ENVIRONMENTAL VARIABLES
The following environment variables affect the execution of date:

TZ  The timezone to use when displaying dates. See environ(7) for more information.

FILES
/var/log/wtmp
    A record of date resets and time changes.
/var/log/messages
    A record of the user setting the time.

SEE ALSO
gettimeofday(2), strftime(3), utmp(5), timed(8) TSP: The Time Synchronization Protocol for UNIX 4.3BSD, R. Gusella, S. Zatti.

DIAGNOSTICS
Exit status is 0 on success, 1 if unable to set the date, and 2 if able to set the local date, but unable to set it globally.

Occasionally, when timed synchronizes the time on many hosts, the setting of a new time value may require more than a few seconds. On these occasions, date prints: ‘Network time being set’. The message ‘Communication error with timed’ occurs when the communication between date and timed fails.

BUGS
The system attempts to keep the date in a format closely compatible with VMS. VMS, however, uses local time (rather than GMT) and does not understand daylight-savings time. Thus, if you use both UNIX and VMS, VMS will be running on GMT.

STANDARDS
The date command is expected to be compatible with p1003.2.